Last Comment Bug 1201838 - Printing tasks is broken [Error: TypeError: aItem[cal.calGetStartDateProp(...)] is null]
: Printing tasks is broken [Error: TypeError: aItem[cal.calGetStartDateProp(......
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: Printing (show other bugs)
: Lightning 4.4
: Unspecified Unspecified
-- normal (vote)
: 4.4
Assigned To: Stefan Sitter
:
:
Mentors:
Depends on:
Blocks: 359007
  Show dependency treegraph
 
Reported: 2015-09-04 03:49 PDT by Stefan Sitter
Modified: 2015-09-08 15:41 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
handle tasks without start date or due date or both (5.21 KB, patch)
2015-09-04 04:35 PDT, Stefan Sitter
philipp: review+
philipp: approval‑calendar‑aurora+
Details | Diff | Splinter Review

Description User image Stefan Sitter 2015-09-04 03:49:16 PDT
Lightning 4.4a2 (20150902004005) with Mozilla/5.0 (Windows NT 6.1; WOW64; rv:42.0) Gecko/20100101 Thunderbird/42.0a2

Trying to printing calendar that contains tasks with only due date is broken in monthly and weekly layout. The following errors are reported:

Error: TypeError: aItem[cal.calGetStartDateProp(...)] is null
Source File: resource://calendar/modules/calPrintUtils.jsm Line: 164

Error: Calendar print dialog:refreshHtml: [Exception... "[JavaScript Error: "aItem[cal.calGetStartDateProp(...)] is null" {file: "resource://calendar/modules/calPrintUtils.jsm" line: 164}]'[JavaScript Error: "aItem[cal.calGetStartDateProp(...)] is null" {file: "resource://calendar/modules/calPrintUtils.jsm" line: 164}]' when calling method: [calIPrintFormatter::formatToHtml]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "JS frame :: chrome://calendar/content/calendar-print-dialog.js :: getSettingsResponse :: line 205"  data: yes]
Source File: chrome://calendar/content/calendar-print-dialog.js Line: 226

Might be regression from Bug 359007.
Comment 1 User image Stefan Sitter 2015-09-04 04:35:25 PDT
Created attachment 8657051 [details] [diff] [review]
handle tasks without start date or due date or both

Restore previous behavior for tasks without start date or due date or both.
Comment 2 User image Philipp Kewisch [:Fallen] 2015-09-04 09:22:31 PDT
Comment on attachment 8657051 [details] [diff] [review]
handle tasks without start date or due date or both

Review of attachment 8657051 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, r=philipp. Thanks for the patch!
Comment 3 User image aleth [:aleth] 2015-09-07 02:41:19 PDT
https://hg.mozilla.org/comm-central/rev/ba74dfc111e2ef138a98bee3d76a4c3a8309ae5d
Bug 1201838 - Printing tasks is broken [Error: TypeError: aItem[cal.calGetStartDateProp(...)] is null]. r=Fallen a=aleth SM CLOSED TREE
Comment 4 User image Stefan Sitter 2015-09-08 12:23:25 PDT
Comment on attachment 8657051 [details] [diff] [review]
handle tasks without start date or due date or both

Fix is required for Lightning 4.4 too.
Comment 5 User image Philipp Kewisch [:Fallen] 2015-09-08 15:41:23 PDT
Backported to releases/comm-aurora changeset c5e0f88e8a9f

Note You need to log in before you can comment on or make changes to this bug.